Package org.eclipse.mat.ui.internal

# Class PreferenceConstants

java.lang.Object
org.eclipse.mat.ui.internal.PreferenceConstants

public class PreferenceConstants extends Object
Constant definitions for plug-in preferences

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DISCARD_ENABLE`
Whether to discard some objects when parsing
`static final String`
`DISCARD_OFFSET`
How often to discard objects when parsing
`static final String`
`DISCARD_PATTERN`
The types of object to discard
`static final String`
`DISCARD_RATIO`
How often to discard objects when parsing
`static final String`
`DISCARD_SEED`
How often to discard objects when parsing
`static final String`
`EXPAND_ENTRIES`
Expand lines for UI
`static final String`
`P_HIDE_WELCOME_SCREEN`
`static final String`
`P_KEEP_UNREACHABLE_OBJECTS`

## Constructor Summary

Constructors
Constructor
Description
`PreferenceConstants()`

## Method Summary

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### P_KEEP_UNREACHABLE_OBJECTS

public static final String P_KEEP_UNREACHABLE_OBJECTS

See Also:
  - Constant Field Values

### P_HIDE_WELCOME_SCREEN

public static final String P_HIDE_WELCOME_SCREEN

See Also:
  - Constant Field Values

### DISCARD_ENABLE

public static final String DISCARD_ENABLE
Whether to discard some objects when parsing

See Also:
  - Constant Field Values

### DISCARD_RATIO

public static final String DISCARD_RATIO
How often to discard objects when parsing

See Also:
  - Constant Field Values

### DISCARD_PATTERN

public static final String DISCARD_PATTERN
The types of object to discard

See Also:
  - Constant Field Values

### DISCARD_SEED

public static final String DISCARD_SEED
How often to discard objects when parsing

See Also:
  - Constant Field Values

### DISCARD_OFFSET

public static final String DISCARD_OFFSET
How often to discard objects when parsing

See Also:
  - Constant Field Values

### EXPAND_ENTRIES

public static final String EXPAND_ENTRIES
Expand lines for UI

See Also:
  - Constant Field Values

## Constructor Details

### PreferenceConstants

public PreferenceConstants()